
/*
  File: include/sq2_audiosys/Interface_Splicer.h
  Description: Interface to the Sonique 2 splicer interface
  Part of the Mantis project
  (c) 2002 Lycos Inc.

  This file is distributed for the sole purpose of allowing you to write
  software to interface with Sonique 2 and other Mantis programs. It is
  not to be modified or used for any other purpose without written
  authorization.

  If you redistribute this file, it must be in the original package
  complete with all other files provided, including the usage agreement.

  Do not remove this notice.
*/

#ifndef _INTERFACE_SPLICER_H_
#define _INTERFACE_SPLICER_H_

#include "Interface_MediaSystem.h"

class MMediaMixer
{
public:
};

class MMediaSplicer : public MGeneric
{
public:
	virtual MRESULT __stdcall NewEndpoint(MMediaFilter** ppToHere)		= 0;
	virtual MRESULT __stdcall SetOutput(MMediaFilter* pOutput)			= 0;
	virtual MRESULT __stdcall SetMixer(MMediaMixer* pMixer)				= 0;
	virtual MRESULT __stdcall Reset()									= 0;
    virtual MRESULT __stdcall SetSilenceLength(double lfSilenceLength)  = 0;
};

// {73FE4475-FFA1-46d0-AEE9-4F02CAF43FB3}
DEFINE_MID(MID_MEDIASPLICER, 0x73fe4475, 0xffa1, 0x46d0, 0xae, 0xe9, 0x4f, 0x02, 0xca, 0xf4, 0x3f, 0xb3);

#endif//_INTERFACE_SPLICER_H_
